"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var browserSync = require("browser-sync");
var gulp = require("gulp");
var changed = require("gulp-changed");
var internal_1 = require("../internal");
exports.fonts = function (_a) {
    var fontsOptions = _a.fonts;
    return function (cb) {
        if (fontsOptions === false) {
            return function () { return cb; };
        }
        var paths = {
            dest: internal_1.projectDestPath(fontsOptions.dest),
            src: internal_1.projectSrcPath(fontsOptions.src, "**/*.{" + fontsOptions.extensions + "}"),
        };
        return gulp
            .src(paths.src, fontsOptions.srcOptions)
            .pipe(changed(paths.dest)) // Ignore unchanged files
            .pipe(gulp.dest(paths.dest, fontsOptions.destOptions))
            .pipe(browserSync.stream());
    };
};
//# sourceMappingURL=fonts.js.map