"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var chalk_1 = require("chalk");
var log = require("fancy-log");
var gulp = require("gulp");
var replace = require("gulp-replace");
var merge = require("merge-stream");
var internal_1 = require("../../internal");
exports.init = function () { return function () {
    log(chalk_1.default.green('Generating default Timpla project files'));
    var configFiles = [
        'babel.config.js',
        'tslint.json',
        'tsconfig.json',
        '.eslintrc',
        '.prettierrc',
    ];
    var projectRoot = internal_1.projectPath();
    var projectSrPath = internal_1.projectSrcPath();
    var configStream = gulp.src(configFiles).pipe(gulp.dest(projectRoot));
    var srcStream = gulp.src(['src/**/*', 'src/**/.gitkeep']).pipe(gulp.dest(projectSrPath));
    var timplaConfStream = gulp
        .src(['.timplaconfig.js'])
        .pipe(replace('./lib/public', 'timpla'))
        .pipe(gulp.dest(projectRoot));
    var timplaStream = configFiles.push('.timplaconfig.js');
    log(chalk_1.default.green("Files generated: " + configFiles.toString() + "."));
    log(chalk_1.default.yellow("\nTo start the dev server:\n"), chalk_1.default.magenta("\nnpx timpla\n"));
    return merge(timplaConfStream, configStream, srcStream);
}; };
__export(require("./initConfig"));
//# sourceMappingURL=index.js.map