"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var log = require("fancy-log");
var webpack = require("webpack");
var internal_1 = require("../internal");
exports.webpackProduction = function (timplaConfig) { return function (callback) {
    webpack(internal_1.webpackMultiConfig(timplaConfig)('production'), function (err, stats) {
        internal_1.logTitle('Webpack Stats');
        console.log(stats.toString({ colors: true, context: internal_1.TIMPLA_PROCESS.INIT_CWD }));
        if (err || stats.hasErrors()) {
            if (err) {
                log.error(err.stack || err);
                if (err.details) {
                    log.error(err.details);
                }
            }
            else if (stats.hasErrors()) {
                var errs = stats.toString({
                    all: false,
                    colors: true,
                    errors: true,
                });
                log.error(errs);
            }
            process.exit(1);
        }
        if (stats.hasWarnings()) {
            var info = stats.toJson();
            log.warn(info.warnings);
        }
        callback();
    });
}; };
//# sourceMappingURL=webpackProduction.js.map